@echo off
if /i exist "%~nx0" color 40 && echo. && echo. && echo. Error^^! Please do not execute this file alone^^! && echo. && echo. Please press any key to exit. && pause>nul && exit

:setFastbootMenu
@title %title% %version% - Please Choose the Fastboot version
    echo.--------------------------------------------------------------------------------
    echo. [*] Default to use the latest Motorola fastboot, but the new version may cause problems on old devices.
    echo.
    echo. [#] For old devices released before 2018, please be sure to use the old version ^(26.0.0^)
    echo. [#] In 2019-2020, devices running Android 9-10, you can use version 28.0.2
    echo. [#] After 2020, devices running Android 11+, please use version 29.0.6
    echo.
    echo. [*] You can change the Fastboot version anytime by pressing "F" in the Main menu.
    echo.
    echo. [^^!^^!^^!] Do NOT try to use the Google fastboot on Motorola devices ^(no compatible^)^^!
    echo.
    echo. Please Choose the Fastboot version:
    echo. -------------------------------------------------------------------------------
    echo. [1] Motorola fastboot 29.0.6 ^(Default^)      [2] Motorola fastboot 28.0.2
    echo. [3] Motorola fastboot 26.0.0
    echo. [4] Latest Google fastboot ^(No compatible Motorola devices^) ^(31.0.1^)
    echo.
    echo. [0] Return to the Main menu ^(No change settings^)
    echo.--------------------------------------------------------------------------------
    set input=
    set /p input= Please enter the option number: ^>^>
        if /i "%input%"=="1" cls && call :setFastbootM1 && exit /b 0
        if /i "%input%"=="2" cls && call :setFastbootM2  && exit /b 0
        if /i "%input%"=="3" cls && call :setFastbootM3  && exit /b 0
        if /i "%input%"=="4" cls && call :setFastbootG1  && exit /b 0
        if /i "%input%"=="0" cls && exit /b 0
    cls
goto :setFastbootMenu
::
::
:setFastbootM1
    echo @echo off> "%~dp0variable.bat"
    echo if exist "%%TFS_ROOT%%tools\mfastboot\29.0.6\mfastboot.exe" ( set fastboot="%%TFS_ROOT%%tools\mfastboot\29.0.6\mfastboot.exe" )>> "%~dp0variable.bat"
    echo @echo off> "%TFS_ROOT%tools\mfastboot.cmd"
    echo "%%~dp0mfastboot\29.0.6\mfastboot.exe" %%1 %%2 %%3 %%4 %%5>> "%TFS_ROOT%tools\mfastboot.cmd"
    call "%~dp0variable.bat"
    color f2
    echo.
    echo. Setup completed.
    ping 127.0.1 -n 3 >nul 2>nul
    cls
    exit /b 0
::
::
:setFastbootM2
    echo @echo off> "%~dp0variable.bat"
    echo if exist "%%TFS_ROOT%%tools\mfastboot\28.0.2\mfastboot.exe" ( set fastboot="%%TFS_ROOT%%tools\mfastboot\28.0.2\mfastboot.exe" )>> "%~dp0variable.bat"
    echo @echo off> "%TFS_ROOT%tools\mfastboot.cmd"
    echo "%%~dp0mfastboot\28.0.2\mfastboot.exe" %%1 %%2 %%3 %%4 %%5>> "%TFS_ROOT%tools\mfastboot.cmd"
    call "%~dp0variable.bat"
    color f2
    echo.
    echo. Setup completed.
    ping 127.0.1 -n 3 >nul 2>nul
    cls
    exit /b 0
::
::
:setFastbootM3
    echo @echo off>"%~dp0variable.bat"
    echo if exist "%%TFS_ROOT%%tools\mfastboot\26.0.0\mfastboot.exe" ( set fastboot="%%TFS_ROOT%%tools\mfastboot\26.0.0\mfastboot.exe" )>> "%~dp0variable.bat"
    echo @echo off> "%TFS_ROOT%tools\mfastboot.cmd"
    echo "%%~dp0mfastboot\26.0.0\mfastboot.exe" %%1 %%2 %%3 %%4 %%5>> "%TFS_ROOT%tools\mfastboot.cmd"
    call "%~dp0variable.bat"
    color f2
    echo.
    echo. Setup completed.
    ping 127.0.1 -n 3 >nul 2>nul
    cls
    exit /b 0
::
::
:setFastbootG1
    echo @echo off>"%~dp0variable.bat"
    echo if exist "%%TFS_ROOT%%tools\fastboot.exe" ( set fastboot="%%TFS_ROOT%%tools\fastboot.exe" )>> "%~dp0variable.bat"
    call "%~dp0variable.bat"
    color f2
    echo.
    echo. Setup completed.
    ping 127.0.1 -n 3 >nul 2>nul
    cls
    exit /b 0
